function setSurface(cubeWidth, cubeHeight, cubeDepth, surfaceFolder) {
  EventCenter.emit("SetSurface", {
    cubeWidth,
    cubeHeight,
    cubeDepth,
    surfaceFolder,
  });
  return true;
}
/// surfacesList 是六个数据
function changeSurface(cubeWidth, cubeHeight, cubeDepth, ...surfacesList) {
  EventCenter.emit("ChangeSurface", {
    cubeWidth,
    cubeHeight,
    cubeDepth,
    surfacesList: surfacesList,
  });
  return true;
}
// 传入 sourceenum == "Carotid" && docarotidaiclip=="True";
function mdlFileLoaded(sourceenum, docarotidaiclip) {
  SpriteManager.mdlFileLoaded(sourceenum, docarotidaiclip);
}

/// 修改锐度、明暗度、对比度
function adjustedImageByFlutter(sharpness, brightness, contrast) {
  EventCenter.emit("AdjustedCubeImage", [sharpness, brightness, contrast]);
  ClipPlaneManager.adjustedClipPlanesMesh([sharpness, brightness, contrast]);
  shaderUniformsManager.Sharpness = sharpness;
  shaderUniformsManager.Brightness = brightness;
  shaderUniformsManager.Contrast = contrast;
}

function getCurrentClipInformation() {
  return JSON.stringify(ClipPlaneManager.getSelectedClipInfo());
}

function release() {
  EventCenter.emit("RemoveCube");
}
